- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# WebBrowserPlugin Class Reference

Search for all occurrences

## Detailed Description

WebBrowserPlugin is a base class to implement the web browser based plugins.

The WebBrowserPlugin class is a base class that provides basic web browser functionalities.

Definition at line 93 of file plugin.h.

`#include <plugin.h>`

Inheritance diagram for WebBrowserPlugin:
[legend]

List of all members.

## Public Types
enum | NavigationPoints { eNavNone = 0, eNavMudLife, eNavTutorials, eNavMeshUpload, eNavStampUpload, eNavStencilUpload }
| This enum contains all the navigation points. More...
enum | FileType { eFileTypeStamps, eFileTypeStencils, eFileTypeMeshes }
| This enum contains all file types. More...
## Public Member Functions
| WebBrowserPlugin (const QString name, const QString title)
virtual void | Navigate (const NavigationPoints nav)=0
| This methods allows navigation. This is usually used by the host application.
virtual void | Upload (const QStringList &files, const FileType fileType)=0
| This methods allows files upload.
virtual void | GetFileList (const FileType fileType, QFileInfoList &fileList, QString filter="")=0
| This methods displays a loading message.

## Member Enumeration Documentation

enum NavigationPoints

Search for all occurrences

This enum contains all the navigation points.

Enumerator:

  eNavNone | Search for all occurrences
  eNavMudLife | Search for all occurrences
  eNavTutorials | Search for all occurrences
  eNavMeshUpload | Search for all occurrences
  eNavStampUpload | Search for all occurrences
  eNavStencilUpload | Search for all occurrences

Definition at line 99 of file plugin.h.

        {
            eNavNone = 0,
            eNavMudLife,
            eNavTutorials,
            eNavMeshUpload,
            eNavStampUpload,
            eNavStencilUpload,
        } NavigationPoints;

enum FileType

Search for all occurrences

This enum contains all file types.

Enumerator:

  eFileTypeStamps | Search for all occurrences
  eFileTypeStencils | Search for all occurrences
  eFileTypeMeshes | Search for all occurrences

Definition at line 110 of file plugin.h.

        {
            eFileTypeStamps,
            eFileTypeStencils,
            eFileTypeMeshes,
        } FileType;

## Constructor & Destructor Documentation

WebBrowserPlugin | ( | const QString | name,
|  | const QString | title
| ) |  |

## Member Function Documentation

virtual void Navigate | ( | const NavigationPoints | nav | ) | `[pure virtual]`

Search for all occurrences

This methods allows navigation. This is usually used by the host application.

virtual void Upload | ( | const QStringList & | files,
|  | const FileType | fileType
| ) |  | `[pure virtual]`

Search for all occurrences

This methods allows files upload.

virtual void GetFileList | ( | const FileType | fileType,
|  | QFileInfoList & | fileList,
|  | QString | filter = `""`
| ) |  | `[pure virtual]`

Search for all occurrences

This methods displays a loading message.

The documentation for this class was generated from the following file:

- Mudbox/plugin.h

WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin
WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin WebBrowserPlugin